Loading...
Searching...
No Matches
pappso::cbor::psm::PsmIonSeries Class Reference

computes spectrum isotope match for each PSM and stores ion series in "props" More...

`#include <psmionseries.h>`

Inheritance diagram for pappso::cbor::psm::PsmIonSeries:

## Public Member Functions

| PsmIonSeries (std::size_t buffer_scan_size, CborStreamWriter *cbor_output_p, const QJsonObject &parameters)
virtual | ~PsmIonSeries ()
void | filterMassSpectrum (pappso::MassSpectrum &mass_spectrum) const
Public Member Functions inherited from pappso::cbor::psm::PsmFileScanProcessAndCopy
| PsmFileScanProcessAndCopy (std::size_t buffer_scan_size, CborStreamWriter *cbor_output_p, const QString &operation)
virtual | ~PsmFileScanProcessAndCopy ()
void | close () override
| convenient function to clean pointer before leaving
Public Member Functions inherited from pappso::cbor::psm::PsmFileScanProcess
| PsmFileScanProcess (std::size_t buffer_scan_size)
virtual | ~PsmFileScanProcess ()
Public Member Functions inherited from pappso::cbor::psm::PsmFileReaderBase
| PsmFileReaderBase ()
virtual | ~PsmFileReaderBase () override
void | readCbor (QFile *cborp, pappso::UiMonitorInterface &monitor)
void | readCbor (QIODevice *cborp, pappso::UiMonitorInterface &monitor)
Public Member Functions inherited from pappso::cbor::CborStreamReaderInterface
| CborStreamReaderInterface ()
virtual | ~CborStreamReaderInterface ()

## Protected Member Functions

CborScanMapBase * | newCborScanMap () override
void | parameterMapReady (pappso::UiMonitorInterface &monitor) override
Protected Member Functions inherited from pappso::cbor::psm::PsmFileScanProcessAndCopy
void | delayProteinMapInMemory ()
void | informationsReady (pappso::UiMonitorInterface &monitor) override
void | logReady (pappso::UiMonitorInterface &monitor) override
void | fastaFilesReady (pappso::UiMonitorInterface &monitor) override
virtual void | proteinMapReady (pappso::UiMonitorInterface &monitor) override
virtual void | processBufferScanDone (pappso::UiMonitorInterface &monitor) override
void | sampleStarted (pappso::UiMonitorInterface &monitor) override
void | sampleFinished (pappso::UiMonitorInterface &monitor) override
void | sampleListStarted (pappso::UiMonitorInterface &monitor) override
void | sampleListFinished (pappso::UiMonitorInterface &monitor) override
Protected Member Functions inherited from pappso::cbor::psm::PsmFileScanProcess
void | readScan (pappso::UiMonitorInterface &monitor) override
void | scanFinished (pappso::UiMonitorInterface &monitor) override
virtual void | processBufferScan (pappso::UiMonitorInterface &monitor)
void | clearScanBuffer ()
Protected Member Functions inherited from pappso::cbor::psm::PsmFileReaderBase
void | readRoot (pappso::UiMonitorInterface &monitor)
virtual void | readInformations (pappso::UiMonitorInterface &monitor)
virtual void | readLog (pappso::UiMonitorInterface &monitor)
virtual void | readParameterMap (pappso::UiMonitorInterface &monitor)
virtual void | readProteinMap (pappso::UiMonitorInterface &monitor)
virtual void | readSample (pappso::UiMonitorInterface &monitor)
virtual void | readPsm (pappso::UiMonitorInterface &monitor)
virtual void | psmReady (pappso::UiMonitorInterface &monitor)
virtual void | scanStarted (pappso::UiMonitorInterface &monitor)
PsmFile | readPsmFile (bool &is_ok)
void | writePsmFile (CborStreamWriter &writer, const PsmFile &psm_file)
void | writePsmFileList (CborStreamWriter &writer, const std::vector< PsmFile > &file_list)
PsmProteinRef | readPsmProteinRef (bool &is_ok)
pappso::PeptideSp | getCurrentPsmPeptideSp () const
pappso::QualifiedMassSpectrumSPtr | getCurrentQualifiedMassSpectrumSPtr () const
| get the qualified Spectrum for the current PSM
bool | currentProteinRefListContainsDecoy () const
| tells if the current PSM has a decoy accession
bool | currentProteinRefListContainsTarget () const
| tells if the current PSM has a target accession
double | getPrecursorMass (double mz_prec, uint charge) const
| convenient function do compute precusor ion mass
Protected Member Functions inherited from pappso::cbor::CborStreamReaderInterface
bool | getExpectedString ()
void | initCborReader (QFile *pcborfile)
void | initCborReader (QIODevice *pcborfile)

## Protected Attributes

QJsonObject | m_psmIonSeriesParameters
pappso::PrecisionPtr | m_fragmentTolerance
Protected Attributes inherited from pappso::cbor::psm::PsmFileScanProcessAndCopy
CborStreamWriter * | mp_cborOutput
CborStreamWriter * | mp_copyCborOutput = nullptr
QString | m_operation
pappso::cbor::psm::PsmProteinMap | m_psmNewProteinMap
QBuffer * | mpa_bufferAfterProteinMap = nullptr
pappso::cbor::CborStreamWriter * | mpa_bufferWriterAfterProteinMap = nullptr
Protected Attributes inherited from pappso::cbor::psm::PsmFileScanProcess
std::size_t | m_bufferScanSize = 1000
std::vector< CborScanMapBase * > | m_cborScanList
Protected Attributes inherited from pappso::cbor::psm::PsmFileReaderBase
QStringList | m_targetFastaFiles
QStringList | m_decoyFastaFiles
PsmProteinMap | m_proteinMap
QString | m_currentSampleName
PsmFile | m_currentPeaklistFile
std::vector< PsmFile > | m_currentIdentificationFileList
QCborMap | m_cborInformations
QCborArray | m_cborLog
QCborMap | m_cborParameterMap
QCborMap | m_cborScanId
QCborMap | m_cborScanPrecursor
QCborMap | m_cborScanMs2
QCborMap | m_cborScanProps
QCborMap | m_cborScanPsmEval
QCborMap | m_cborScanPsmProps
QString | m_currentPsmProforma
std::vector< PsmProteinRef > | m_currentPsmProteinRefList
Protected Attributes inherited from pappso::cbor::CborStreamReaderInterface
CborStreamReader * | mpa_cborReader = nullptr
QString | m_expectedString
QByteArray | m_data

## Detailed Description

computes spectrum isotope match for each PSM and stores ion series in "props"

Definition at line 45 of file psmionseries.h.

## Constructor & Destructor Documentation

## PsmIonSeries()

pappso::cbor::psm::PsmIonSeries::PsmIonSeries | ( | std::size_t | buffer_scan_size,
|  | CborStreamWriter * | cbor_output_p,
|  | const QJsonObject & | parameters )

Default constructor

Definition at line 35 of file psmionseries.cpp.

: PsmFileScanProcessAndCopy(buffer_scan_size, cbor_output_p, "IonSeries")
{
m_psmIonSeriesParameters = parameters;
if(parameters.value("fragment_tolerance_unit").toString() == "dalton")
{
m_fragmentTolerance = pappso::PrecisionFactory::getDaltonInstance(
parameters.value("fragment_tolerance").toDouble());
}
else if(parameters.value("fragment_tolerance_unit").toString() == "ppm")
{
m_fragmentTolerance =
pappso::PrecisionFactory::getPpmInstance(parameters.value("fragment_tolerance").toDouble());
}
}
pappso::PrecisionFactory::getPpmInstance
static PrecisionPtr getPpmInstance(pappso_double value)
get a ppm precision pointer
Definition precision.cpp:155
pappso::PrecisionFactory::getDaltonInstance
static PrecisionPtr getDaltonInstance(pappso_double value)
get a Dalton precision pointer
Definition precision.cpp:136
pappso::cbor::psm::PsmFileScanProcessAndCopy::PsmFileScanProcessAndCopy
PsmFileScanProcessAndCopy(std::size_t buffer_scan_size, CborStreamWriter *cbor_output_p, const QString &operation)
Definition psmfilescanprocessandcopy.cpp:41
pappso::cbor::psm::PsmIonSeries::m_psmIonSeriesParameters
QJsonObject m_psmIonSeriesParameters
Definition psmionseries.h:68
pappso::cbor::psm::PsmIonSeries::m_fragmentTolerance
pappso::PrecisionPtr m_fragmentTolerance
Definition psmionseries.h:69

References pappso::cbor::psm::PsmFileScanProcessAndCopy::PsmFileScanProcessAndCopy(), and m_psmIonSeriesParameters.

## ~PsmIonSeries()

pappso::cbor::psm::PsmIonSeries::~PsmIonSeries | ( |  | ) |

virtual

Destructor

Definition at line 54 of file psmionseries.cpp.

{
}

## Member Function Documentation

## filterMassSpectrum()

void pappso::cbor::psm::PsmIonSeries::filterMassSpectrum | ( | pappso::MassSpectrum & | mass_spectrum | ) | const

References newCborScanMap(), and parameterMapReady().

## newCborScanMap()

pappso::cbor::psm::CborScanMapBase * pappso::cbor::psm::PsmIonSeries::newCborScanMap | ( |  | ) |

override protected virtual

Implements pappso::cbor::psm::PsmFileScanProcess.

Definition at line 78 of file psmionseries.cpp.

{
return new PsmIonSeriesScan(*this, m_fragmentTolerance);
}

References m_fragmentTolerance.

Referenced by filterMassSpectrum().

## parameterMapReady()

void pappso::cbor::psm::PsmIonSeries::parameterMapReady | ( | pappso::UiMonitorInterface & | monitor | ) |

override protected virtual

Reimplemented from pappso::cbor::psm::PsmFileScanProcessAndCopy.

Definition at line 59 of file psmionseries.cpp.

{
QCborMap cbor_features_parameters;
cbor_features_parameters.insert(QString("fragment_tolerance_unit"),
Utils::toString(m_fragmentTolerance->unit()));
cbor_features_parameters.insert(QString("fragment_tolerance"), m_fragmentTolerance->getNominal());
cbor_features_parameters.insert(QString("ion_list"), "y b");
m_cborParameterMap.insert(QString("ion-series"), cbor_features_parameters);
mp_cborOutput->append("parameter_map");
mp_cborOutput->writeCborMap(m_cborParameterMap);
}
pappso::Utils::toString
static QString toString(specglob::SpectralAlignmentType type)
Convenience function to return a string describing the specglob alingment type.
Definition utils.cpp:563
pappso::cbor::psm::PsmFileReaderBase::m_cborParameterMap
QCborMap m_cborParameterMap
Definition psmfilereaderbase.h:135
pappso::cbor::psm::PsmFileScanProcessAndCopy::mp_cborOutput
CborStreamWriter * mp_cborOutput
Definition psmfilescanprocessandcopy.h:87

References pappso::cbor::psm::PsmFileReaderBase::m_cborParameterMap, m_fragmentTolerance, pappso::cbor::psm::PsmFileScanProcessAndCopy::mp_cborOutput, and pappso::Utils::toString().

Referenced by filterMassSpectrum().

## Member Data Documentation

## m_fragmentTolerance

pappso::PrecisionPtr pappso::cbor::psm::PsmIonSeries::m_fragmentTolerance

protected

Definition at line 69 of file psmionseries.h.

Referenced by newCborScanMap(), and parameterMapReady().

## m_psmIonSeriesParameters

QJsonObject pappso::cbor::psm::PsmIonSeries::m_psmIonSeriesParameters

protected

Definition at line 68 of file psmionseries.h.

Referenced by PsmIonSeries().

The documentation for this class was generated from the following files:

- pappsomspp/core/processing/cbor/psm/evalscan/psmionseries.h
- pappsomspp/core/processing/cbor/psm/evalscan/psmionseries.cpp